org.eclipse.ecf.remoteservice.util

## Class StreamUtil

- java.lang.Object
- - org.eclipse.ecf.remoteservice.util.StreamUtil

    public class StreamUtil
    extends Object

Since:
  8.1

### Constructor Summary

Constructors
Constructor and Description
`StreamUtil()`
`StreamUtil(int bufferSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `copy(InputStream input, OutputStream output)`
`byte[]` `toByteArray(InputStream input)`
`void` `writeByteArray(OutputStream outs, byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamUtil

    public StreamUtil(int bufferSize)

#### StreamUtil

    public StreamUtil()

### Method Detail

#### copy

    public long copy(InputStream input,
                     OutputStream output)
              throws IOException

Throws:
  `IOException`

#### toByteArray

    public byte[] toByteArray(InputStream input)
                       throws IOException

Throws:
  `IOException`

#### writeByteArray

    public void writeByteArray(OutputStream outs,
                               byte[] bytes)
                        throws IOException

Throws:
  `IOException`